package xyz.wbsite.dbtool.javafx.po;

public abstract class AbstractDBmapper {

    public abstract DataBase getDataBase();

    public abstract String getDataBaseType(FieldType type);

    abstract String getFieldSql(Field field);

    public abstract FieldType getType(String type, int length, int precision, int scale);
}
